---
id: plugins
title: Third-party plugins
---

A non-exhaustive list of plugins adding functionalities to React-Leaflet. Please
open pull requests to update this list!

⚠️ These plugins may not be compatible with React-Leaflet v2, make sure to check their documentation.

| Plugin                                                                                                           | Compatible with v2 |
| ---------------------------------------------------------------------------------------------------------------- | ------------------ |
| [`leaflet-drift-marker`](https://www.npmjs.com/package/leaflet-drift-marker)                                     | **yes**            |
| [`leaflet-react-track-player`](https://www.npmjs.com/package/leaflet-react-track-player)                         | unknown            |
| [`react-leaflet-ant-path`](https://www.npmjs.com/package/react-leaflet-ant-path)                                 | unknown            |
| [`react-leaflet-arrowheads`](https://www.npmjs.com/package/react-leaflet-arrowheads)                             | **yes**            |
| [`react-leaflet-bing-v2`](https://www.npmjs.com/package/react-leaflet-bing-v2)                                   | **yes**            |
| [`react-leaflet-box-zoom`](https://www.npmjs.com/package/react-leaflet-box-zoom)                                 | **yes**            |
| [`react-leaflet-choropleth`](https://www.npmjs.com/package/react-leaflet-choropleth)                             | unknown            |
| [`react-leaflet-cluster-layer`](https://www.npmjs.com/package/react-leaflet-cluster-layer)                       | unknown            |
| [`react-leaflet-control`](https://www.npmjs.com/package/react-leaflet-control)                                   | **yes**            |
| [`react-leaflet-curve`](https://www.npmjs.com/package/react-leaflet-curve)                                       | **yes**            |
| [`react-leaflet-d3`](https://www.npmjs.com/package/react-leaflet-d3)                                             | **yes**            |
| [`react-leaflet-d3-svg-overlay`](https://www.npmjs.com/package/react-leaflet-d3-svg-overlay)                     | **yes**            |
| [`react-leaflet-deflate`](https://www.npmjs.com/package/react-leaflet-deflate)                                   | **yes**            |
| [`react-leaflet-dialog`](https://www.npmjs.com/package/react-leaflet-dialog)                                     | **yes**            |
| [`react-leaflet-distance-marker`](https://www.npmjs.com/package/react-leaflet-distance-marker)                   | unknown            |
| [`react-leaflet-distortable-imageoverlay`](https://www.npmjs.com/package/react-leaflet-distortable-imageoverlay) | **yes**            |
| [`react-leaflet-div-icon`](https://www.npmjs.com/package/react-leaflet-div-icon)                                 | **no**             |
| [`react-leaflet-draggable-polyline`](https://www.npmjs.com/package/react-leaflet-draggable-polyline)             | unknown            |
| [`react-leaflet-draw`](https://www.npmjs.com/package/react-leaflet-draw)                                         | unknown            |
| [`react-leaflet-easyprint`](https://www.npmjs.com/package/react-leaflet-easyprint)                               | **yes**            |
| [`react-leaflet-editable-popup`](https://www.npmjs.com/package/react-leaflet-editable-popup)                     | **yes**            |
| [`react-leaflet-enhanced-marker`](https://www.npmjs.com/package/react-leaflet-enhanced-marker)                   | **yes**            |
| [`react-leaflet-figure-editor`](https://www.npmjs.com/package/react-leaflet-figure-editor)                       | unknown            |
| [`react-leaflet-freedraw`](https://www.npmjs.com/package/react-leaflet-freedraw)                                 | **yes**            |
| [`react-leaflet-fullscreen-control`](https://www.npmjs.com/package/react-leaflet-fullscreen-control)             | unknown            |
| [`react-leaflet-geodesic`](https://www.npmjs.com/package/react-leaflet-geodesic)                                 | **yes**            |
| [`react-leaflet-geojson-cluster`](https://www.npmjs.com/package/react-leaflet-geojson-cluster)                   | unknown            |
| [`react-leaflet-geojson-patterns`](https://www.npmjs.com/package/react-leaflet-geojson-patterns)                 | **yes**            |
| [`react-leaflet-google-layer`](https://www.npmjs.com/package/react-leaflet-google-layer)                         | **yes**            |
| [`react-leaflet-google-v2`](https://www.npmjs.com/package/react-leaflet-google-v2)                               | **yes**            |
| [`react-leaflet-heatmap-layer`](https://www.npmjs.com/package/react-leaflet-heatmap-layer)                       | **yes**            |
| [`react-leaflet-locate-control`](https://www.npmjs.com/package/react-leaflet-locate-control)                     | **no**             |
| [`react-leaflet-magnifying-glass`](https://www.npmjs.com/package/react-leaflet-magnifying-glass)                 | **yes**            |
| [`react-leaflet-markercluster`](https://www.npmjs.com/package/react-leaflet-markercluster)                       | unknown            |
| [`react-leaflet-marker-layer`](https://www.npmjs.com/package/react-leaflet-marker-layer)                         | unknown            |
| [`react-leaflet-measure`](https://www.npmjs.com/package/react-leaflet-measure)                                   | **yes**            |
| [`react-leaflet-nmscale`](https://www.npmjs.com/package/@marfle/react-leaflet-nmscale)                           | **yes**            |
| [`react-leaflet-pane`](https://www.npmjs.com/package/react-leaflet-pane)                                         | unknown            |
| [`react-leaflet-search`](https://www.npmjs.com/package/react-leaflet-search)                                     | **yes**            |
| [`react-leaflet-semicircle`](https://www.npmjs.com/package/react-leaflet-semicircle)                             | **yes**            |
| [`react-leaflet-shapefile`](https://www.npmjs.com/package/react-leaflet-shapefile)                               | **no**             |
| [`react-leaflet-sidebarv2`](https://www.npmjs.com/package/react-leaflet-sidebarv2)                               | unknown            |
| [`react-leaflet-sidetabs`](https://www.npmjs.com/package/react-leaflet-sidetabs)                                 | **yes**            |
| [`react-leaflet-street-view`](https://www.npmjs.com/package/react-leaflet-street-view)                           | **yes**            |
| [`react-leaflet-textpath`](https://www.npmjs.com/package/react-leaflet-textpath)                                 | **yes**            |
| [`react-leaflet-vectorgrid`](https://www.npmjs.com/package/react-leaflet-vectorgrid)                             | **yes**            |
| [`react-leaflet-wmts`](https://www.npmjs.com/package/react-leaflet-wmts)                                         | **yes**            |
| [`react-leaflet-zoom-display`](https://www.npmjs.com/package/react-leaflet-zoom-display)                         | unknown            |
| [`react-leaflet-zoom-indicator`](https://www.npmjs.com/package/react-leaflet-zoom-indicator)                     | unknown            |
| [`react-mapbox-components`](https://www.npmjs.com/package/react-mapbox-components)                               | unknown            |
